Subject: RE: CCL:problem with mol2topdb script

From: Robert Flight <[email-masked]>
Date: Wed, 10 Jul 2002 08:38:27 -0300

Luciana,

I have had this problem too when I installed Autodock 3.05 on my system (SGI
Irix v6.5).  The "gawk" error message, you have to edit the "mol2topdbq"
script so that it calls "awk" instead of "gawk".  This can be done with the
text editor vi or jot.  As for the files being empty, it doesnt say this in
the Autodock manual, but you have to specify an output filename for the files.
An example would be:

% mol2topdbq 1L5G.mol2 > 1L5G.pdbq

I would also recommend using AutodockTools (ADT) to prepare your files for
docking, as it is much easier than using the scripts.  ADT can be interesting
to set up, but I have got it to work on my SGI.

Hope this helps,

Robert

>===== Original Message From Luciana Marinelli <[email-masked]>
=====
>hallo,
>I am a new AUTODOCK user, I have problem with mol2topdb script.
>I am working on a silicon graphics with an operating system: IRIX64
>Release 6. I have download the new one version of autodock.
>I have downloaded my protein from PDB and I have added H and charges by
>sybyl as you explain in the user guide, than I saved it as mol2 file,
>but when I try to run the script that should convert the mol2 file into
>the pdbq I have this output:
>% mol2topdbq 1L5G.pdb
>gawk - Command not found
>%
>
>
>if I try to run directly the mol2topdbq.awk I obtain:
>% mol2topdbq.awk 1L5G.mol2
>/usr/people/antonio/Autodock/dist305/share//mol2topdbq.awk: BEGIN:  not
>found
>/usr/people/antonio/Autodock/dist305/share//mol2topdbq.awk[2]:
>haveAtoms:  not found
>/usr/people/antonio/Autodock/dist305/share//mol2topdbq.awk[3]:
>haveSubStr:  not found
>/usr/people/antonio/Autodock/dist305/share//mol2topdbq.awk[4]: resnum:
>not found
>/usr/people/antonio/Autodock/dist305/share//mol2topdbq.awk[5]:
>allPossibleChainIDs:  not found
>/usr/people/antonio/Autodock/dist305/share//mol2topdbq.awk[6]: syntax
>error at line 6 : `(' unexpected
>
>I also tryed to use mol2cnv script and I obtain:
>
>novel7 83% mol2cnv 1L5G.mol2
>
>Converting from  Sybyl mol2 format  to  PDBQ format
>
>gawk - Command not found
>Sorting "1L5G.pdbq" by residue number.
>
>Removing any lone pairs
>
>gawk - Command not found
>Renumbering atoms after sorting by residue number.
>
>Checking charges in "1L5G.pdbq", using "chckqs";
>All errors held in "1L5G.err"
>
>Here are the contents of 1L5G.err
>
>the 1L5G.err and the 1L5G.pdbq are empity.
>
>I also try to use as imput file the  3PTB.pdb and I have add the H and
>charge by sybyl and save it as .mol2, but I have exactly the same
>problems. could you imagin why? anyway, I attached my mol2 file
>thank you  in advance
>luciana

********************************
Robert Flight
Department of Chemistry
University of New Brunswick
Fredericton, NB  Canada  E3B 6E2
e-mail: [email-masked]
tel: (506) 461-5760
********************************